Bug 950552

Summary: Change requires to python-django14
Product: [Fedora] Fedora Reporter: Matthias Runge <mrunge>
Component: python-django-roaAssignee: Bohuslav "Slavek" Kabrda <bkabrda>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: bkabrda, mhroncok
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-13 07:04:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 950469    

Description Matthias Runge 2013-04-10 12:08:35 UTC
Rawhide contains and f19 will get Django-1.5 instead of Django-1.4.x soon.

If you're not sure, if your package is compatible with Django-1.5, please change
Requires: python-django
to 
Requires: python-django14
and rebuild.

If I don't hear anything against it, I can do the rebuild in the week after Apr 22nd.

Comment 1 Miro Hrončok 2013-06-05 10:12:05 UTC
I've been trying to patch the exapmles, so they work with Django 1.5, but I have faild.

Here is sthe state of my trying: https://bitbucket.org/hroncok/django-roa/commits/all

Where I end:

django_roa_server tells me, that it cannot import name Message (from django.contrib.auth.models), but the only documentation for this is in this comment: http://django-evolution.googlecode.com/svn-history/r211/trunk/django_evolution/builtin_evolutions/__init__.py

It is not documented in any releas notes, and I don't knwo with what to replace it.

The more weird problem is in django_roa_client and twitter_roa.

AssertionError: ForeignKey(None) is invalid. First parameter to ForeignKey must be either a model, a model name, or the string 'self'

But the thing, that is passed to ForeignKey as a first parameter, is class name inherited from Django's model.

As I said, I am not able to solve this issues. They might not be important for Django 1.5, as the examples throws all this errors even with Django 1.4. I'm not quite sure, why why ship examples that doesn't work.

So please, either:

0) find a way to test this module work with Django 1.5 a package that as an example
1) find a way to test this module work with Django 1.4 a package that as an example, change Requires to python-django14
2) fix the examples, as they are and see if it should be python-django14 or not
3) realize this package doesn't work at all for a long time

Thanks

Comment 2 Jan Kurik 2015-07-15 14:48:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Matthias Runge 2016-06-13 07:04:54 UTC
django-1.4 has been deprecated some time ago.